Package com.orbbec.obsensor

## Class PointCloudFilter

- java.lang.Object
- - com.orbbec.obsensor.LobClass
  - - com.orbbec.obsensor.Filter
    - - com.orbbec.obsensor.PointCloudFilter

All Implemented Interfaces:
  `java.lang.AutoCloseable`, `java.lang.Cloneable`

    public class PointCloudFilter
    extends Filter

PointCloudFilter used to generate normal point cloud data, RGB point cloud data

### Field Summary

### Fields inherited from class com.orbbec.obsensor.LobClass

`handle, owner`

### Constructor Summary

Constructors
`PointCloudFilter()` Create point cloud filter

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setCameraParam​(CameraParam param)` PointCloud Filter device camera parameters
`void` `setColorDataNormalization​(boolean state)` Set point cloud color data normalization
`void` `setD2CAlignStatus​(boolean isAlign)` Set D2C alignment state
`void` `setPointFormat​(Format format)` Set the generated point cloud format
`void` `setPositionDataScale​(float scale)` Set the point cloud data scaling factor

### Methods inherited from class com.orbbec.obsensor.Filter

`close, process, pushFrame, reset, setCallback`

### Methods inherited from class com.orbbec.obsensor.LobClass

`getHandle, throwInitializeException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PointCloudFilter

    public PointCloudFilter()

Create point cloud filter

### Method Detail

#### setPointFormat

    public void setPointFormat​(Format format)

Set the generated point cloud format

Parameters:
  `format` - point cloud format

#### setCameraParam

    public void setCameraParam​(CameraParam param)

PointCloud Filter device camera parameters

Parameters:
  `param` - Camera parameter

#### setD2CAlignStatus

    public void setD2CAlignStatus​(boolean isAlign)

Set D2C alignment state

Parameters:
  `isAlign` - D2C alignment status, true: aligned, false: not aligned

#### setPositionDataScale

    public void setPositionDataScale​(float scale)

Set the point cloud data scaling factor

Parameters:
  `scale` - Set the point cloud coordinate data zoom factor

#### setColorDataNormalization

    public void setColorDataNormalization​(boolean state)

Set point cloud color data normalization

Parameters:
  `state` - Sets whether the point cloud color data is normalized